
Redmine - Feature #22125

Make Search default to current project and sub projects

2016-03-02 05:51 - Ewan Makepeace

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I am a heavy user of sub-projects. I tend to group all the projects under the responsibility of a team under a team project and group

all the team projects under a master project. That way I can quickly view lists of issues that are late, pending my input or need other

attention.

Because of this I am often focussed on a high level grouping project. Then when I search for a particular issue I get no results

because I need to change the search mode from the current project to the current project and its subprojects:

 mode.jpg 

I have to do that every single time. It is my opinion that this should be the default behaviour - I feel that sub projects are a

component of their parents and would nornally warrant searching. However if this change is not desired then please could we have a

setting to set the default?

Related issues:

Is duplicate of Redmine - Feature #9909: Search in project and its subproject... Closed

History

#1 - 2016-03-02 05:52 - Ewan Makepeace

- File mode.jpg added

#2 - 2016-03-31 12:47 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#3 - 2017-06-19 09:15 - Marius BĂLTEANU

Feature implemented in the upcoming version 3.4.0 (#9909).

#4 - 2017-06-19 09:24 - Ewan Makepeace

Yeah! That is excellent news!

#5 - 2017-06-20 08:47 - Marius BĂLTEANU

Let's close this issue as duplicates #9909.

#6 - 2017-07-03 16:19 - Mischa The Evil

- Is duplicate of Feature #9909: Search in project and its subprojects by default added

#7 - 2017-07-03 16:19 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Marius BALTEANU wrote:

Let's close this issue as duplicates #9909.

 Done.
